/*
 *	pkglue.asm
 */
extern void _far arp_receiver(void);
extern void _far pkt_receiver(void);
extern void _near patch_vec(u_char _far *);
extern int _near driver_info(struct packet_info _far *);
extern int _near access_type(int, int, int, u_char _far *, u_int, void (_far *)());
extern int _near release_type(int);
extern int _near send_pkt(u_char _far *, u_int);
extern int _near get_address(int, u_char _far *, int);
extern int _near set_rcv_mode(int, int);

/*
 *	lib.asm
 */
extern void _near dfputs(u_char _far *);

/*
 *	support.asm
 */
extern u_long _near _fastcall n_clicks(void);
extern u_int _near _fastcall ipcheck(struct iph _near *, u_int);
extern u_int _near _fastcall iphcheck(u_long);
extern u_int _near tcpcheck(struct pseudotcp _far *, struct tcph _far *, u_int);
extern u_long _near _fastcall ntohl(u_long);
extern u_long _near _fastcall htonl(u_long);

/*
 *	sleep.asm
 */
extern void _far netsleep(void);
